From: =?utf-8?q?Jelmer_Vernoo=C4=B3?= <jelmer@debian.org>
Date: Mon, 21 Jan 2019 17:17:36 +0100
Subject: Disable two patches that seem to sometimes hang.

Bug-Debian: https://bugs.debian.org/836667
Bug: https://github.com/pimutils/vdirsyncer/issues/654
---
 tests/system/cli/test_sync.py | 95 -------------------------------------------
 1 file changed, 95 deletions(-)

diff --git a/tests/system/cli/test_sync.py b/tests/system/cli/test_sync.py
index 048278f..71ded9f 100644
--- a/tests/system/cli/test_sync.py
+++ b/tests/system/cli/test_sync.py
@@ -233,41 +233,6 @@ def test_invalid_pairs_as_cli_arg(tmpdir, runner):
     assert 'pair foobar: collection "d" not found' in result.output.lower()
 
 
-def test_multiple_pairs(tmpdir, runner):
-    def get_cfg():
-        for name_a, name_b in ('foo', 'bar'), ('bam', 'baz'):
-            yield dedent('''
-            [pair {a}{b}]
-            a = "{a}"
-            b = "{b}"
-            collections = null
-            ''').format(a=name_a, b=name_b)
-
-            for name in name_a, name_b:
-                yield dedent('''
-                [storage {name}]
-                type = "filesystem"
-                path = "{path}"
-                fileext = ".txt"
-                ''').format(name=name, path=str(tmpdir.mkdir(name)))
-
-    runner.write_with_general(''.join(get_cfg()))
-
-    result = runner.invoke(['discover'])
-    assert not result.exception
-    assert set(result.output.splitlines()) > {
-        'Discovering collections for pair bambaz',
-        'Discovering collections for pair foobar'
-    }
-
-    result = runner.invoke(['sync'])
-    assert not result.exception
-    assert set(result.output.splitlines()) == {
-        'Syncing bambaz',
-        'Syncing foobar',
-    }
-
-
 def test_ident_conflict(tmpdir, runner):
     runner.write_with_general(dedent('''
     [pair foobar]
@@ -444,63 +409,3 @@ def test_partial_sync(tmpdir, runner, partial_sync):
         assert not r.exception
         assert baritem.exists()
         assert fooitem.exists()
-
-
-def test_fetch_only_necessary_params(tmpdir, runner):
-    fetched_file = tmpdir.join('fetched_flag')
-    fetch_script = tmpdir.join('fetch_script')
-    fetch_script.write(dedent('''
-    set -e
-    touch "{}"
-    echo ".txt"
-    '''.format(str(fetched_file))))
-
-    runner.write_with_general(dedent('''
-    [pair foobar]
-    a = "foo"
-    b = "bar"
-    collections = null
-
-    [pair bambar]
-    a = "bam"
-    b = "bar"
-    collections = null
-
-    [storage foo]
-    type = "filesystem"
-    path = "{path}"
-    fileext = ".txt"
-
-    [storage bar]
-    type = "filesystem"
-    path = "{path}"
-    fileext = ".txt"
-
-    [storage bam]
-    type = "filesystem"
-    path = "{path}"
-    fileext.fetch = ["command", "sh", "{script}"]
-    '''.format(path=str(tmpdir.mkdir('bogus')), script=str(fetch_script))))
-
-    def fetched():
-        try:
-            fetched_file.remove()
-            return True
-        except Exception:
-            return False
-
-    r = runner.invoke(['discover'])
-    assert not r.exception
-    assert fetched()
-
-    r = runner.invoke(['sync', 'foobar'])
-    assert not r.exception
-    assert not fetched()
-
-    r = runner.invoke(['sync'])
-    assert not r.exception
-    assert fetched()
-
-    r = runner.invoke(['sync', 'bambar'])
-    assert not r.exception
-    assert fetched()
